function S=gitinfo()
% FUNCTION fc_bench.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2017-2020 F. Cuvelier
%
  S=struct('name','fc-vfemp1', 'tag','0.2.0','commit','0a987e1402bbedb053f136b6120ba4ee88cfca28','date', '2020-03-06','time','12-58-07','status',0);return; % automatically updated
  rep=fc_vfemp1.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-vfemp1','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
