function X=lu(A,B)
  assert( isamat(A) )
  if A.nr==1
    X=fc_amat.solver.triu(A,B);   % solve A*X=B
  else
  [L,U,P]=lu(A);                % P*A=L*U
  Y=fc_amat.solver.tril(L,P*B); % solve L*Y=P*B
  X=fc_amat.solver.triu(U,Y);   % solve U*X=Y
  end
end
